<template>
  <div class="menu-content-sized-container">
    <sub-main :contents="contents"> </sub-main>
  </div>
</template>

<script>
export default {
  head: {
    title: 'Data Analyst Tools | THORChain.org',
    meta: [
        { property: "og:locale", content: "en_US" },
        { property: "og:type", content: "website" },
        { property: "og:title", content: "Data Analyst Tools | THORChain.org" },
        {
          property: "og:description",
          content:
            "THORChain aims to decentralize cryptocurrency liquidity via a network of public THORNodes and ecosystem products. Access to its native and cross-chain liquidity is open to any person, product or institution.",
        },
        { property: "og:url", content: process.env.baseUrl },
        { property: "og:site_name", content: "THORChain" },
        {
          property: "og:image",
          content: process.env.baseUrl + "/images/meta-ecosystem.png",
        },
        { property: "og:image:width", content: "876" },
        { property: "og:image:heigh", content: "438" },
        { name: "twitter:creator", content: "@thorchain" },
        { name: "twitter:site", content: "@thorchain" },
        { name: "twitter:title", content: "Data Analyst Tools | THORChain.org" },
        {
          name: "twitter:description",
          content:
            "THORChain aims to decentralize cryptocurrency liquidity via a network of public THORNodes and ecosystem products. Access to its native and cross-chain liquidity is open to any person, product or institution.",
        },
        { name: "twitter:card", content: "summary_large_image" },
        {
          name: "twitter:image",
          content: process.env.baseUrl + "/images/meta-ecosystem.png",
        },
      ],
  },
  data() {
    return {
      contents: [
        {
          component: "header",
          settings: {
            title: "Data Analyst Tools",
          },
        },
        {
          component: "halved",
          settings: {
            left: {
              title: "Query Thorchain",
              scrolls: [
                { text: "Flipside", id: "flipside" },
              ],
            },
            right: [
              {
                component: "halved",
                left: [
                  {
                    component: "text",
                    title: "THORChain LP Calculator",
                  },
                  {
                    component: "button",
                    buttons: [{ text: "Web App",linkProps: this.$links('liquidity_provider_tools_lp_forecast_calculator_web_app')}],
                  },
                  {
                    component: "button",
                    buttons: [{ text: "Discord",linkProps: this.$links('liquidity_provider_tools_lp_forecast_calculator_discord')}],
                  },
                  {
                    component: "button",
                    buttons: [{ text: "Twitter",linkProps: this.$links('liquidity_provider_tools_lp_forecast_calculator_twitter')}],
                  },
                ],
                right: [
                  {
                    component: "image",
                    src: require("~/assets/images/liquidity-provider-tools/flipsidecrypto.svg"),
                    positionRight: "50%",
                    positionTop: "50%",
                    extraCSS: {
                      background: "#10151A",
                      objectFit: "none",
                    },
                  },
                ],
              }, 
            ],
          },
        },
      ],
    };
  },
};
</script>

<style>
</style>